Skip to Content
avatar image
Former Member

Error when Installing Oracle on Linux

Hi Guys,

Hope u guys can help. Im installing oracle 8 on suse 9 to perform a system copy (this is a target system). but stuck in phase linking Oracle 8 :

Error in invoking target install of makefile ../../ins_sqlplus.mk

when i tried to install it manually :

make -f ins_sqlplus.mk install, it came out an error that says libclntsh.so: undefined reference to '__ctype_toupper'

Any one can help me with this?

Thanks

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

3 Answers

  • Nov 29, 2008 at 05:54 PM

    Hello Hazrienne,

    your provided information is not enough.

    What is SuSE 9? There is something like SLES 9 out there.. please define it exactly.

    What SAP release are you using?

    What platform are you using?

    I can not find any supported combination in the PAM with Oracle 8i on SLES 9.. so please post your versions and releases.

    Regards

    Stefan

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Nov 29, 2008 at 05:57 PM

    SLES 9 with Oracle 8 Enterprise n 4.6C SR2

    Add comment
    10|10000 characters needed characters exceeded

    • Hello,

      ok your kernel version is still missing.

      But if i look at the 4.6D_EXT ones, then only Oracle 9.2 (or higher) is supported on SLES 9.

      If i also take a look in metalink for the refrence "__ctype_toupper" - i find unsupported OS versions for oracle.

      Regards

      Stefan

  • avatar image
    Former Member
    Nov 29, 2008 at 06:08 PM

    man...just had a look in PAM. 😔

    the main reason im installing this is because I want to do a migration to a Windows platform.Because the original are using SLES 7.0 with Oracle 8 and there's so much dependencies in the file system that needs to be update before performing a R3Load.So the only option I have is to update the OS and do the migration there.Is Oracle 9 backward compatible? i.e I copy the offline data (Oracle 8) to Oracle 9 instead of upgrading it like in MSSQL Server?

    Add comment
    10|10000 characters needed characters exceeded

    • Hi,

      if you already looked at the PAM - i wonder why asking for such an OS related problem.

      > So the only option I have is to update the OS and do the migration there.Is Oracle 9 backward compatible? i.e I copy the offline data (Oracle 8) to Oracle 9

      If you just want to copy the oracle control-/datafiles, etc. - no it will not work. You have to do a normal oracle upgrade to get your Oracle 8i database running on Oracle 9i.

      Regards

      Stefan